> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a snapshot of an entry

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/snapshots/{snapshot_id}

Reference: https://contentful.com/developers/docs/references/content-management-api/snapshots/get-a-snapshot-of-an-entry

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the Space in form of a string
- `environment_id` (string, required) — environment_id identifier
- `entry_id` (string, required) — ID of the entry in form of a string
- `snapshot_id` (string, required) — ID of the snapshot in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "snapshot": {
    "fields": {
      "body": {
        "en-US": "Bacon is healthy!"
      },
      "title": {
        "en-US": "Hello, World!"
      }
    },
    "sys": {
      "contentType": {
        "sys": {
          "id": "hfM9RCJIk0wIm06WkEOQY",
          "linkType": "ContentType",
          "type": "Link"
        }
      },
      "id": "cat",
      "space": {
        "sys": {
          "id": "yadj1kx9rmg0",
          "linkType": "Space",
          "type": "Link"
        }
      },
      "type": "Entry"
    }
  },
  "sys": {
    "createdAt": "2025-08-10T13:25:51.000Z",
    "createdBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "cat",
    "snapshotEntityType": "Entry",
    "snapshotType": "publish",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Snapshot"
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .entries()
    .async()
    .fetchOne(
        "<space_id>",
        "master", // only works on master right now ...
        "<entry_id>",
        new CMACallback<CMAEntry>() {
          @Override protected void onSuccess(CMAEntry entry) {
            client
                .entries()
                .async()
                .fetchOneSnapshot(
                    entry,
                    "<entry_snapshot_id>",
                    new CMACallback<CMASnapshot>() {
                      @Override protected void onSuccess(CMASnapshot snapshot) {
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("Snapshot found!" +
                                "\n\nResult: " + snapshot)
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not find the entry snapshot." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not get one entry." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAEntry entry = client
    .entries()
    .fetchOne(
        "<space_id>",
        "master", // only works on master right now
        "<entry_id>");

final CMASnapshot snapshot = client
    .entries()
    .fetchOneSnapshot(entry, "<entry_snapshot_id>");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val entry = client
        .entries()
        .fetchOne(
                "<space_id>",
                "master", // only works on master right now
                "<entry_id>")

val snapshot = client
        .entries()
        .fetchOneSnapshot(entry, "<entry_snapshot_id>")
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
  .then((space) => space.getEnvironment('<environment_id>'))
  .then((environment) => environment.getEntry('<entry_id>'))
  .then((entry) => entry.getSnapshot('<snapshot-id>'))
  .then((snapshot) => console.log(snapshot))
  .catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const snapshot = await client.snapshot.getForEntry({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  entryId: '<entry_id>',
  snapshotId: '<snapshot_id>',
})
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$entrySnapshot = $environment->getEntrySnapshot('<entry_id>', '<snapshot_id>');

// Alternatively, from an entry
$entry = $environment->getEntry('<entry_id>');
$entrySnapshot = $entry->getSnapshot('<snapshot_id>');
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

entry = client.entries('<space_id>', '<environment_id>').find('<entry_id>')
snapshot = entry.snapshots.find('<snapshot_id>')
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

snapshot = client.snapshots('<space_id>', '<environment_id>', '<entry_id>').find('<snapshot_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var singleSnapshot = await client.GetSnapshotForEntry("<snapshot_id>", "<entry_id>");
```